Get MCP server auth status for a subject
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}/auth/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}/auth/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}/auth/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "authenticated",
"method": "oauth"
}MCP Servers V2
Get MCP server auth status for a subject
Returns the effective per-subject auth status for an MCP server. Permissions: callers with MANAGE_MCP_SERVER (MCP managers) may query any subject; other callers may only query their own subject.
GET
/
api
/
svc
/
v1
/
mcp
/
{mcpServerId}
/
auth
/
status
Get MCP server auth status for a subject
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
MCP server id (the id returned by GET /v1/mcp, not the name).
Example:
"mcp-01HXYZ..."
Query Parameters
Target subject id.
Subject type for the target principal.
Available options:
user, virtualaccount, agent, agent-identity Response
Per-subject auth status for the MCP server.
- MCPServerAuthStatusAuthenticated
- MCPServerAuthStatusAuthRequired
- MCPServerAuthStatusAuthNotRequired
Was this page helpful?